%global plugin_name openshift-login

Summary:    login into Jenkins via embedded OpenShift OAuth server
Name:       jenkins-plugin-%{plugin_name}
Version:    0.12
Release:    10%{?dist}
License:    MIT
# URL is correct
URL:        https://wiki.jenkins-ci.org/display/JENKINS/Openshift+Login+Plugin
# AltURL:   https://github.com/jenkinsci/openshift-login-plugin
Source0:    https://updates.jenkins-ci.org/download/plugins/%{plugin_name}/%{version}/%{plugin_name}.hpi
Requires:   jenkins >= 1.651.2
Requires:   jenkins-plugin-credentials
Requires:   jenkins-plugin-mailer
Requires:   jenkins-plugin-matrix-auth

%description
A Jenkins plugin which lets you login to Jenkins 
with your account on your OpenShift installlation. 

Focuses on enabling SSO for Jenkins within your cluster.

%prep


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/jenkins/
cp %{SOURCE0} $RPM_BUILD_ROOT/%{_libdir}/jenkins/


%files
%{_libdir}/jenkins/%{plugin_name}.hpi

%changelog
* Sun Jul 09 2017 Sam Munilla+smunilla@redhat.com--comment=Update to 0.12 - 0.12-10
- rebuilt

* Tue Apr 04 2017 Troy Dawson <tdawson@redhat.com> - 0.12-1
- Update to 0.12

* Tue Jan 24 2017 Troy Dawson <tdawson@redhat.com> - 0.11-1
- Update to 0.11

* Wed Jan 18 2017 Troy Dawson <tdawson@redhat.com> - 0.10-1
- Update to 0.10

* Fri Nov 11 2016 Troy Dawson <tdawson@redhat.com> - 0.9-1
- Update to 0.9

* Wed Nov 09 2016 Troy Dawson <tdawson@redhat.com> - 0.8-1
- Update to 0.8

* Tue Nov 01 2016 Troy Dawson <tdawson@redhat.com> - 0.6-1
- Update to version 0.6

* Mon Oct 31 2016 Troy Dawson <tdawson@redhat.com> - 0.4-1
- Update to version 0.4

* Wed Oct 05 2016 Troy Dawson <tdawson@redhat.com> - 0.1-1
- Initial package
